Subject: bug#26302: Multilingual web site is on-line!

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 26 Jul 2020 20:57:58 +0200

On Sun, Jul 26, 2020 at 07:46:55PM +0200, Ludovic Courtès wrote:
> Hi Florian & all!
> 
> I’m happy to say that I’ve finally taken the time to apply your
> maintenance.git patch, reconfigure berlin, merge your ‘wip-i18n’ branch
> in guix-artwork.git, and… tadaam!
> 
>   https://guix.gnu.org/

Thank you!  I am so happy.  Although …

> 
> At first sight, everything seems to be working fine, but please do take
> a look and report any issues!

Ohh sorry, the manual disappeared.  I suppose it is built in /srv/…/manual/?

:(

> Should we publicize a process to contribute translations?  It could be a
> page on the web site linked from the bottom of each page or something.
> Thoughts?

One way would be to tar up the website and send it to the Translation
Project.  I don’t know about the status of the Weblate plans.

> It would also be nice to have a blog post mentioning this, perhaps
> explaining the tools behind it, and why we think it matters.  I could
> contribute a paragraph on linguistic diversity.  :-)
> 
> Thanks!
> 
> Ludo’.

So far I think Guix always needs more users and translations help.
Also Scheme’s homoiconicity makes it easy to write translation macros.
I will think some more what I could say about this tomorrow.

Regards,
Florian